org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

## Interface RetryService

All Known Implementing Classes:
  BaseRetryOnClassAndMethodService, BaseRetryOnClassService, BaseRetryOnMethodService, RetryOnClassAndMethodServiceNoAnnotationMethodOverride, RetryOnClassAndMethodServiceNoRedefinition, RetryOnClassAndMethodServiceOverrideClassLevel, RetryOnClassAndMethodServiceOverrideClassLevelMethodOverride, RetryOnClassAndMethodServiceOverrideMethodLevel, RetryOnClassServiceNoAnnotationOnOveriddenMethod, RetryOnClassServiceNoRedefinition, RetryOnClassServiceOverrideClassLevel, RetryOnClassServiceOverrideClassLevelMethodOverride, RetryOnClassServiceOverrideMethodLevel, RetryOnMethodServiceNoAnnotationOnOverridedMethod, RetryOnMethodServiceNoRedefinition, RetryOnMethodServiceOverridedClassLevelMethodOverride, RetryOnMethodServiceOverridedClassLevelNoMethodOverride, RetryOnMethodServiceOverridedMethodLevel

    public interface RetryService

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getNumberOfServiceCalls()`
`Connection` `service()`

### Method Detail

#### service

    Connection service()
                throws IOException

Throws:
  `IOException`

#### getNumberOfServiceCalls

    int getNumberOfServiceCalls()